Bug 185347 - [Extra zoom mode] Google search results are excessively zoomed in
Summary: [Extra zoom mode] Google search results are excessively zoomed in
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: WebKit Misc. (show other bugs)
Version: WebKit Nightly Build
Hardware: Unspecified Unspecified
: P2 Normal
Assignee: Wenson Hsieh
URL:
Keywords: InRadar
Depends on:
Blocks:
 
Reported: 2018-05-05 00:35 PDT by Wenson Hsieh
Modified: 2018-11-06 07:23 PST (History)
14 users (show)

See Also:


Attachments
Patch (15.22 KB, patch)
2018-05-05 17:56 PDT, Wenson Hsieh
no flags Details | Formatted Diff | Diff
Archive of layout-test-results from ews200 for win-future (12.80 MB, application/zip)
2018-05-05 19:51 PDT, Build Bot
no flags Details
Patch (18.48 KB, patch)
2018-05-08 19:00 PDT, Wenson Hsieh
no flags Details | Formatted Diff | Diff
Rebase on trunk (18.62 KB, patch)
2018-05-08 19:06 PDT, Wenson Hsieh
no flags Details | Formatted Diff | Diff
Actually rebase on trunk (18.45 KB, patch)
2018-05-08 19:30 PDT, Wenson Hsieh
no flags Details | Formatted Diff | Diff
Patch (51.09 KB, patch)
2018-05-14 12:25 PDT, Wenson Hsieh
no flags Details | Formatted Diff | Diff
Try to fix non-internal builds (51.83 KB, patch)
2018-05-14 13:38 PDT, Wenson Hsieh
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Wenson Hsieh 2018-05-05 00:35:51 PDT
Subject says it all.
Comment 1 Radar WebKit Bug Importer 2018-05-05 00:36:16 PDT
<rdar://problem/39999778>
Comment 2 Wenson Hsieh 2018-05-05 17:56:30 PDT
Created attachment 339660 [details]
Patch
Comment 3 Build Bot 2018-05-05 19:50:54 PDT
Comment on attachment 339660 [details]
Patch

Attachment 339660 [details] did not pass win-ews (win):
Output: http://webkit-queues.webkit.org/results/7581212

New failing tests:
http/tests/security/canvas-remote-read-remote-video-localhost.html
Comment 4 Build Bot 2018-05-05 19:51:05 PDT
Created attachment 339665 [details]
Archive of layout-test-results from ews200 for win-future

The attached test failures were seen while running run-webkit-tests on the win-ews.
Bot: ews200  Port: win-future  Platform: CYGWIN_NT-6.1-2.9.0-0.318-5-3-x86_64-64bit
Comment 5 Wenson Hsieh 2018-05-05 21:11:31 PDT
Comment on attachment 339665 [details]
Archive of layout-test-results from ews200 for win-future

Test failure seems unrelated.
Comment 6 Wenson Hsieh 2018-05-08 19:00:26 PDT
Created attachment 339913 [details]
Patch
Comment 7 Wenson Hsieh 2018-05-08 19:06:47 PDT
Created attachment 339915 [details]
Rebase on trunk
Comment 8 Wenson Hsieh 2018-05-08 19:30:29 PDT
Created attachment 339919 [details]
Actually rebase on trunk
Comment 9 Wenson Hsieh 2018-05-14 10:36:45 PDT
Comment on attachment 339919 [details]
Actually rebase on trunk

This is no longer the approach we’re planning to take.
Comment 10 Wenson Hsieh 2018-05-14 12:25:57 PDT
Created attachment 340340 [details]
Patch
Comment 11 Wenson Hsieh 2018-05-14 13:38:01 PDT
Created attachment 340349 [details]
Try to fix non-internal builds
Comment 12 WebKit Commit Bot 2018-05-14 18:07:42 PDT
Comment on attachment 340349 [details]
Try to fix non-internal builds

Clearing flags on attachment: 340349

Committed r231779: <https://trac.webkit.org/changeset/231779>
Comment 13 WebKit Commit Bot 2018-05-14 18:07:44 PDT
All reviewed patches have been landed.  Closing bug.
Comment 14 Frédéric Wang (:fredw) 2018-11-06 03:41:10 PST
Comment on attachment 340349 [details]
Try to fix non-internal builds

View in context: https://bugs.webkit.org/attachment.cgi?id=340349&action=review

> Source/WebCore/page/WindowFeatures.h:63
> +OptionSet<DisabledAdaptations> parseDisabledAdaptations(const String&);

It looks WindowFeatures.cpp|h needed the <wtf/OptionSet.h> header. At least I got build error with rotating unified source. I just landed a fix for that.
Comment 15 Wenson Hsieh 2018-11-06 07:23:51 PST
(In reply to Frédéric Wang (:fredw) from comment #14)
> Comment on attachment 340349 [details]
> Try to fix non-internal builds
> 
> View in context:
> https://bugs.webkit.org/attachment.cgi?id=340349&action=review
> 
> > Source/WebCore/page/WindowFeatures.h:63
> > +OptionSet<DisabledAdaptations> parseDisabledAdaptations(const String&);
> 
> It looks WindowFeatures.cpp|h needed the <wtf/OptionSet.h> header. At least
> I got build error with rotating unified source. I just landed a fix for that.

Sorry — thanks for the fix!